Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::TreeSortableSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::TreeSortable. More...

`#include <xfc/gtk/treesortablesignals.hh>`

Inheritance diagram for Xfc::Gtk::TreeSortableSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_sort_column_changed ()
    Called whenever the current sort column is changed.

## Protected Member Functions

Constructors

- virtual ~TreeSortableSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::TreeSortable.

The documentation for this class was generated from the following file:

- treesortablesignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3